Bug 151343 - [patch] devel/buildapp: convert to USE_SBCL
Summary: [patch] devel/buildapp: convert to USE_SBCL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-09 14:10 UTC by swell.k
Modified: 2010-11-27 01:20 UTC (History)
0 users

See Also:


Attachments
a.diff (1.46 KB, patch)
2010-10-09 14:10 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-10-09 14:10:03 UTC
- use USE_SBCL from bsd.cl-asdf.mk
- remove obsoleted LICENSE_FILE hack[1]
- fix typo in COMMENT: wrapper vs. wrapped
- install verbosely like most ports do
- move plist defines after build defines (cosmetic)

No changes to either default build or plist -> no need to bump PORTREVISION.
The port now respects SBCL in make.conf, though.

[1] approved by silence (~2 weeks) from jacula@ ;)
    http://docs.freebsd.org/cgi/mid.cgi?861v8euqz1.fsf
Comment 1 Edwin Groothuis freebsd_committer 2010-10-09 14:10:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

pgollucci@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-10-09 14:10:39 UTC
Maintainer of devel/buildapp,

Please note that PR ports/151343 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/151343

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-10-09 14:10:41 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Philip M. Gollucci freebsd_committer 2010-10-25 23:42:01 UTC
State Changed
From-To: feedback->open

maintainer timeout (dunkyp@gmail.com ; 16 days)
Comment 5 Philip M. Gollucci freebsd_committer 2010-11-27 01:16:56 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 6 dfilter service freebsd_committer 2010-11-27 01:16:58 UTC
pgollucci    2010-11-27 01:16:52 UTC

  FreeBSD ports repository

  Modified files:
    devel/buildapp       Makefile 
  Log:
  - use USE_SBCL from bsd.cl-asdf.mk
  - remove obsoleted LICENSE_FILE hack
  - fix typo in COMMENT: wrapper vs. wrapped
  - install verbosely like most ports do
  - move plist defines after build defines (cosmetic)
  
  PR:             ports/151343
  Submitted by:   Anonymous <swell.k@gmail.com>
  Approved by:    maintainer timeout (dunkyp@gmail.com ; 46 days)
  
  Revision  Changes    Path
  1.2       +12 -14    ports/devel/buildapp/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"